Results 1 to 7 of 7

Thread: Lucid Lynx "libgtk-1.2.so.0" Missing

  1. #1
    Join Date
    Apr 2011
    Beans
    13
    Distro
    Ubuntu 10.04 Lucid Lynx

    Lucid Lynx "libgtk-1.2.so.0" Missing

    So, I'm trying to run Ultimate Duke Nukem 3D for Ubuntu, when I find out I'm missing libgtk-1.2.so.0. I've tried googling it, and every thread in this forum seems to be useless to me (e.g. E: Couldn't find package libgtk1.2). So I was wondering what I need to do to get the libgtk-1.2.so.0 for Lucid.

  2. #2
    Join Date
    Jun 2005
    Location
    Toronto, Canada
    Beans
    Hidden!
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: Lucid Lynx "libgtk-1.2.so.0" Missing

    Lucid uses the newer libgtk2. Just did a google search (https://bugs.launchpad.net/ubuntu/+s....2/+bug/478219) and found a PPA that has lucid gtk+1.2 binaries: https://launchpad.net/~adamkoczur/+archive/gtk1.2

    To install:
    Code:
    sudo apt-add-repository ppa:adamkoczur/gtk1.2
    sudo apt-get update
    sudo apt-get install gtk+1.2

  3. #3
    Join Date
    Apr 2011
    Beans
    13
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Lucid Lynx "libgtk-1.2.so.0" Missing

    Quote Originally Posted by Toz View Post
    Lucid uses the newer libgtk2. Just did a google search (https://bugs.launchpad.net/ubuntu/+s....2/+bug/478219) and found a PPA that has lucid gtk+1.2 binaries: https://launchpad.net/~adamkoczur/+archive/gtk1.2

    To install:
    Code:
    sudo apt-add-repository ppa:adamkoczur/gtk1.2
    sudo apt-get update
    sudo apt-get install gtk+1.2
    I don't think I can download them from the site, or do I have to click on the dude's name? Also, when I used the terminal commands it said "E: Couldn't find package gtk+1.2
    "

  4. #4
    Join Date
    May 2010
    Location
    Arkansas, USA
    Beans
    126
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Lucid Lynx "libgtk-1.2.so.0" Missing

    Quote Originally Posted by Zodiacprince View Post
    I don't think I can download them from the site, or do I have to click on the dude's name? Also, when I used the terminal commands it said "E: Couldn't find package gtk+1.2
    "
    Run in terminal:

    Code:
    sudo add-apt-repository ppa:adamkoczur/gtk1.2 && sudo apt-get update
    That adds that dude's repository into your available packages. Go into Synaptic and look for gtk+1.2 then and it should be there. Or just run "sudo apt-get install gtk+1.2"

  5. #5
    Join Date
    Jun 2005
    Location
    Toronto, Canada
    Beans
    Hidden!
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: Lucid Lynx "libgtk-1.2.so.0" Missing

    Try:
    Code:
    sudo apt-get install libgtk1.2

  6. #6
    Join Date
    Apr 2011
    Beans
    13
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Lucid Lynx "libgtk-1.2.so.0" Missing

    Quote Originally Posted by Toz View Post
    Try:
    Code:
    sudo apt-get install libgtk1.2
    I'm a futzing idiot.... I should have thought of that... Well, anyway, thanks mate. Duke Nukem is working fine now (just need to find a disc...).

  7. #7
    Join Date
    Jun 2005
    Location
    Toronto, Canada
    Beans
    Hidden!
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: Lucid Lynx "libgtk-1.2.so.0" Missing

    Glad to hear. If you don't mind, can you flag this thread as solved (from Thread Tools above) in case anyone else is looking for a similar fix?
    Thanks

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •